# Class JreVendor

java.lang.Object
org.apache.tomcat.util.compat.JreVendor

public class JreVendor extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`IS_IBM_JVM`
`static final boolean`
`IS_ORACLE_JVM`

## Constructor Summary

Constructors
Constructor
Description
`JreVendor()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IS_ORACLE_JVM

public static final boolean IS_ORACLE_JVM

### IS_IBM_JVM

public static final boolean IS_IBM_JVM

## Constructor Details

### JreVendor

public JreVendor()